gsasl_property_fast(3)

NAME
gsasl_property_fast - API function

SYNOPSIS
#include <gsasl.h>

const char * gsasl_property_fast(Gsasl_session * sctx, Gsasl_property prop);

ARGUMENTS

Gsasl_session * sctx
    session handle.

Gsasl_property prop
    enumerated value of Gsasl_property type, indicating the type of data in data.

DESCRIPTION
Retrieve the data stored in the session handle for given property prop. The pointer is to live data, and must not be deallocated or modified in any way. This function will not invoke the application callback.

RETURN VALUE
Return property value, if known, or NULL if no value known.

SINCE
0.2.0

REPORTING BUGS
Report bugs to <bug-gsasl@gnu.org>. GNU SASL home page: http://www.gnu.org/software/gsasl/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2012 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gsasl is maintained as a Texinfo manual. If the info and gsasl programs are properly installed at your site, the command

    info gsasl

should give you access to the complete manual.